Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  Meldung beim Bereinigen (Lisp)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Meldung beim Bereinigen (Lisp) (1321 mal gelesen)
Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 161
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 18. Sep. 2014 08:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe mit Lisp ein kleines Programm geschrieben, das unter anderem Blöcke erstellt.
Die Bezeichnung der Blöcke wird automatisch fortlaufend nummeriert.

Um die Blockdatenbank in der Zeichnung nicht vollzumüllen, rufe ich vor dem Erstellen des neuen Blocks den Befehl BEREINIG auf.

Das funktionierte soweit bisher alles sehr gut.

Seit BricsCAD 14 (mit 13 nicht getestet) kommt beim Bereinigen aber immer eine Meldung:

"Achtung durch - Bereinigen mit verschachtelten Elementen - in Acad2013 werden bestehende Gruppen gelöscht.
Bitte ohne 'Verschachtelte Elemente bereinigen' fortfahren!"

Der Benutzer muss dann OK klicken, bevor das Programm weiter läuft.
Kann man diese Meldung unterdrücken?

Zum Thema "Verschachtelte Elemente bereinigen" konnte ich nichts finden.

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 18. Sep. 2014 08:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Vino 10 Unities + Antwort hilfreich

Code:
(repeat 3
  (vlax-invoke-method
                (vla-Get-ActiveDocument (vlax-Get-Acad-object))
                'PurgeAll
                )
  )

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 161
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 18. Sep. 2014 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnelle Antwort...

Konnte es bisher nicht testen, aber soweit ich das aus dem Code rauslesen kann, wird damit ALLES bereinigt.
Da ich nicht weiß, was der Bearbeiter gerade sonst so in der Zeichnung macht, würde ich gerne nur Blöcke mit bestimmten Namen bereinigen.

Bisher schaut mein Code so aus:

Code:
(command "_purge" "bl" (strcat nam "-" "*") "n")

Die Blöcke sind So benannt:
[NAM]-1
[NAM]-2
...
[NAM]-X

Wobei NAM ein Präfix ist, der in der Variablen nam gespeichert ist.

Gibt es dafür auch passente Methoden/Argumente?
Gibt es generell irgendwo eine Auflistung der Methoden/Argumente, die man auf deine Art anwenden kann?

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1911
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 18. Sep. 2014 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Vino 10 Unities + Antwort hilfreich

Code:
(setvar "cmdecho" 0)
  (command "_purge" "bl")
      (while (= (getvar "cmdnames") "PURGE")
              (command "???-*" "_n")
      )

(setvar "cmdecho" 1)


Stell mal die Variable EXPERT auf 5 und probier nochmal

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Vino
Mitglied



Sehen Sie sich das Profil von Vino an!   Senden Sie eine Private Message an Vino  Schreiben Sie einen Gästebucheintrag für Vino

Beiträge: 161
Registriert: 24.05.2005

Windows 10
BricsCAD V19

erstellt am: 18. Sep. 2014 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

der Code funktioniert leider auch nicht. Die Meldung kommt, sobald man den Befehl _PURGE aufruft.
EXPERT auf 5 brachte auch keine Verbesserung.

Ich hab jetzt bissl gegoogelt und glaube, dass "vla-delete" die Lösung sein könnte... Im Augenblick habe ich aber nicht die Zeit, mir das genauer anzuschauen... Melde mich, falls ich eine Lösung finde.

Gruß
Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz